Skip to content

Retrieve an Address by ID

Request

Get address info by ID.

Security
UserToken or PersonalToken
Path
addressIdinteger, (int64)required

The unique identifier of the address.

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.

Example:f47ac10b-58cc-4372-a567-0e02b2c3d479
curl -i -X GET \
  'https://api.wise.com/v1/addresses/{addressId}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'X-External-Correlation-Id: f47ac10b-58cc-4372-a567-0e02b2c3d479'

Responses

OK - Successfully retrieved the address.

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Echoed back when X-External-Correlation-Id was included in the request. Learn more.

Example:"f47ac10b-58cc-4372-a567-0e02b2c3d479"
x-trace-idstring

Unique trace identifier assigned by Wise. Useful when contacting support about a specific request.

Example:"fba501b6d453b96789f52338f019341f"
Bodyapplication/json
idinteger, (int64)

Address ID.

Example:10000001
profileinteger, (int64)

User profile ID.

Example:12345678
detailsobject

Address details.

Response
{ "id": 10000001, "profile": 12345678, "details": { "country": "US", "state": "AZ", "city": "Phoenix", "postCode": "10025", "firstLine": "50 Sunflower Ave", "occupations": [ {} ] } }